Skip to main content
GET
/
webhooks
/
{id}
Get webhook by ID
curl --request GET \
  --url https://management-api.fpjs.io/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-API-Version: <x-api-version>'
import requests

url = "https://management-api.fpjs.io/webhooks/{id}"

headers = {
    "X-API-Version": "<x-api-version>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'X-API-Version': '<x-api-version>', Authorization: 'Bearer <token>'}
};

fetch('https://management-api.fpjs.io/webhooks/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "wh_HYv9YfsIIUjpvR",
    "description": "My Webhook",
    "verified": false,
    "environment": {},
    "url": "https://website.com/webhook",
    "legacy": true,
    "basic_auth": {},
    "created_at": "2023-11-07T05:31:56Z",
    "signing_key": "<string>",
    "last_enabled_at": {},
    "last_disabled_at": {}
  },
  "environment": {}
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "violations": [
      {
        "property": "<string>",
        "message": "<string>"
      }
    ]
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "violations": [
      {
        "property": "<string>",
        "message": "<string>"
      }
    ]
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Version
string
required

Management API version.

Path Parameters

id
string
required

Webhook ID

Response

Webhook object.

data
object
required
environment
object | null
required

Environment ID this webhook is associated with. Null if global.